Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoSetup Class Reference
GoSdk

## Description

Represents a device configuration.

Inherits kObject.

## Public Member Functions
k64f | GoSetup_ActiveAreaHeight (GoSetup setup, GoRole role)
| Gets the active area height. More...
k64f | GoSetup_ActiveAreaHeightLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaHeight setting. More...
k64f | GoSetup_ActiveAreaHeightLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaHeight setting. More...
k64f | GoSetup_ActiveAreaLength (GoSetup setup, GoRole role)
| Gets the active area Length. More...
k64f | GoSetup_ActiveAreaLengthLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaLength setting. More...
k64f | GoSetup_ActiveAreaLengthLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaLength setting. More...
k64f | GoSetup_ActiveAreaWidth (GoSetup setup, GoRole role)
| Gets the active area width. More...
k64f | GoSetup_ActiveAreaWidthLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaWidth setting. More...
k64f | GoSetup_ActiveAreaWidthLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaWidth setting. More...
k64f | GoSetup_ActiveAreaX (GoSetup setup, GoRole role)
| Gets the active area x origin. More...
k64f | GoSetup_ActiveAreaXLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaX setting. More...
k64f | GoSetup_ActiveAreaXLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaX setting. More...
k64f | GoSetup_ActiveAreaY (GoSetup setup, GoRole role)
| Gets the active area Y. More...
k64f | GoSetup_ActiveAreaYLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaY setting. More...
k64f | GoSetup_ActiveAreaYLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaY setting. More...
k64f | GoSetup_ActiveAreaZ (GoSetup setup, GoRole role)
| Gets the active area z origin. More...
k64f | GoSetup_ActiveAreaZLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaZ setting. More...
k64f | GoSetup_ActiveAreaZLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaZ setting. More...
kStatus | GoSetup_AddExposureStep (GoSetup setup, GoRole role, k64f exposure)
| Adds an exposure step. More...
kBool | GoSetup_AlignmentEncoderCalibrateEnabled (GoSetup setup)
| Gets the value of the post alignment encoder calibration setting. More...
GoAlignmentTarget | GoSetup_AlignmentMovingTarget (GoSetup setup)
| Gets the target type used for moving alignment calibration. More...
GoAlignmentTarget | GoSetup_AlignmentMovingTargetOptionAt (GoSetup setup, kSize index)
| Gets the moving alignment target option at the given index. More...
kSize | GoSetup_AlignmentMovingTargetOptionCount (GoSetup setup)
| Gets the moving alignment target option count. More...
GoAlignmentTarget | GoSetup_AlignmentStationaryTarget (GoSetup setup)
| Gets the target type used for stationary alignment calibration. More...
GoAlignmentTarget | GoSetup_AlignmentStationaryTargetOptionAt (GoSetup setup, kSize index)
| Gets the stationary alignment target option at the given index. More...
kSize | GoSetup_AlignmentStationaryTargetOptionCount (GoSetup setup)
| Gets the stationary alignment target option count. More...
GoAlignmentType | GoSetup_AlignmentType (GoSetup setup)
| Gets the type used for alignment calibration. More...
GoAlignmentType | GoSetup_AlignmentTypeOptionAt (GoSetup setup, kSize index)
| Gets the alignment type option at the given index. More...
kSize | GoSetup_AlignmentTypeOptionCount (GoSetup setup)
| Gets the alignment type option count. More...
k64f | GoSetup_BarHeight (GoSetup setup)
| Gets the height of the bar used for travel calibration. More...
kSize | GoSetup_BarHoleCount (GoSetup setup)
| Gets the number of holes that are defined on the calibration bar. More...
k64f | GoSetup_BarHoleDiameter (GoSetup setup)
| Gets the diameter of holes that are defined on the calibration bar. More...
k64f | GoSetup_BarHoleDistance (GoSetup setup)
| Gets the distance between holes that are defined on the calibration bar. More...
k64f | GoSetup_BarWidth (GoSetup setup)
| Gets the width of the bar used for travel calibration. More...
kStatus | GoSetup_ClearExposureSteps (GoSetup setup, GoRole role)
| Removes all exposure steps. More...
GoState | GoSetup_DefaultState (GoSetup setup)
| Gets the default state of the sensor system upon boot. More...
k64f | GoSetup_DiskDiameter (GoSetup setup)
| Gets the diameter of the disk used for travel calibration. More...
k64f | GoSetup_DiskHeight (GoSetup setup)
| Gets the height of the disk used for travel calibration. More...
k64f | GoSetup_DynamicExposureMax (GoSetup setup, GoRole role)
| Gets the maximum value for the Dynamic Exposure setting. More...
k64f | GoSetup_DynamicExposureMin (GoSetup setup, GoRole role)
| Gets the minimum value for the Dynamic Exposure setting. More...
kStatus | GoSetup_EnableAlignmentEncoderCalibrate (GoSetup setup, kBool enabled)
| Enables encoder calibration after alignment. More...
kStatus | GoSetup_EnableInputTrigger (GoSetup setup, kBool enable)
| Sets the input trigger enabled state. More...
kStatus | GoSetup_EnableIntensity (GoSetup setup, kBool enable)
| Enables profile intensity collection. More...
kStatus | GoSetup_EnableMaxFrameRate (GoSetup setup, kBool enable)
| Enables or disables operation at full frame rate (ignoring frame rate setting). More...
kStatus | GoSetup_EnableOcclusionReduction (GoSetup setup, kBool enable)
| Sets the occlusion reduction enabled state. More...
kStatus | GoSetup_EnableTracking (GoSetup setup, GoRole role, kBool enable)
| Enables tracking. More...
kStatus | GoSetup_EnableTriggerGate (GoSetup setup, kBool enable)
| Sets the trigger gate feature. More...
kStatus | GoSetup_EnableXGapFilling (GoSetup setup, kBool enable)
| Sets the status of x-direction gap-filling. More...
kStatus | GoSetup_EnableXSmoothing (GoSetup setup, kBool enabled)
| Sets the status of x-direction smoothing. More...
kStatus | GoSetup_EnableYGapFilling (GoSetup setup, kBool enable)
| Sets the status of y-direction gap-filling. More...
kStatus | GoSetup_EnableYSmoothing (GoSetup setup, kBool enable)
| Sets the status of y-direction smoothing. More...
k64f | GoSetup_EncoderSpacing (GoSetup setup)
| Gets the current encoder period for encoder-based triggering. More...
k64f | GoSetup_EncoderSpacingLimitMax (GoSetup setup)
| Constraint for the maximum valid value of the Encoder Period setting. More...
k64f | GoSetup_EncoderSpacingLimitMin (GoSetup setup)
| Constraint for the minimum valid value of the Encoder Period setting. More...
GoEncoderTriggerMode | GoSetup_EncoderTriggerMode (GoSetup setup)
| Gets the encoder trigger mode. More...
k64f | GoSetup_Exposure (GoSetup setup, GoRole role)
| Gets the exposure value. More...
k64f | GoSetup_ExposureLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the Exposure setting. More...
k64f | GoSetup_ExposureLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the Exposure setting. More...
GoExposureMode | GoSetup_ExposureMode (GoSetup setup, GoRole role)
| Gets the exposure mode. More...
GoExposureMode | GoSetup_ExposureModeOptionAt (GoSetup setup, GoRole role, kSize index)
| Gets the exposure mode option at the given index. More...
kSize | GoSetup_ExposureModeOptionCount (GoSetup setup, GoRole role)
| Gets the exposure mode option count. More...
k64f | GoSetup_ExposureStepAt (GoSetup setup, GoRole role, kSize index)
| Get the exposure step value specified by index. More...
kSize | GoSetup_ExposureStepCount (GoSetup setup, GoRole role)
| Get the number of exposure steps defined. More...
k64f | GoSetup_FrameRate (GoSetup setup)
| Reports the currently configured frame rate. More...
k64f | GoSetup_FrameRateLimitMax (GoSetup setup)
| Constraint for the maximum valid value of the Frame Rate setting. More...
k64f | GoSetup_FrameRateLimitMin (GoSetup setup)
| Constraint for the minimum valid value of the Frame Rate setting. More...
k32u | GoSetup_FrontCameraHeight (GoSetup setup, GoRole role)
| Gets the camera region-of-interest height. More...
k32u | GoSetup_FrontCameraWidth (GoSetup setup, GoRole role)
| Gets the camera region-of-interest width. More...
k32u | GoSetup_FrontCameraX (GoSetup setup, GoRole role)
| Gets the camera region-of-interest x origin. More...
k32u | GoSetup_FrontCameraY (GoSetup setup, GoRole role)
| Gets the camera region-of-interest y origin. More...
kBool | GoSetup_InputTriggerEnabled (GoSetup setup)
| Gets the input trigger enabled state. More...
kBool | GoSetup_IntensityEnabled (GoSetup setup)
| Reports whether the profile intensity collection is enabled. More...
kSize | GoSetup_IntensityStepIndex (GoSetup setup, GoRole role)
| Gets the intensity step index. More...
GoLayout | GoSetup_Layout (GoSetup setup)
| Gets the layout configuration module. More...
kBool | GoSetup_MaxFrameRateEnabled (GoSetup setup)
| Reports whether or not system is configured to operate at full frame rate. More...
kBool | GoSetup_OcclusionReductionEnabled (GoSetup setup)
| Gets the occlusion reduction enabled state. More...
GoPartDetection | GoSetup_PartDetection (GoSetup setup)
| Gets the part detection module, used for part detection configuration. More...
k64f | GoSetup_PlateHeight (GoSetup setup)
| Gets the height of the plate used for travel calibration. More...
kSize | GoSetup_PlateHoleCount (GoSetup setup)
| Gets the number of holes that are defined on the calibration plate. More...
k64f | GoSetup_PlateRefHoleDiameter (GoSetup setup)
| Gets the diameter of the reference hole defined on the calibration plate. More...
k64f | GoSetup_PlateSecHoleDiameter (GoSetup setup)
| Gets the diameter of the secondary hole defined on the calibration plate. More...
GoMode | GoSetup_ScanMode (GoSetup setup)
| Gets the default operation mode of the sensor system. More...
GoMode | GoSetup_ScanModeOptionAt (GoSetup setup, kSize index)
| Gets the scan mode option at the specified index. More...
kSize | GoSetup_ScanModeOptionCount (GoSetup setup)
| Gets the scan mode option count. More...
kStatus | GoSetup_SetActiveAreaHeight (GoSetup setup, GoRole role, k64f height)
| Sets the active area height. More...
k64f | GoSetup_SetActiveAreaLength (GoSetup setup, GoRole role, k64f Length)
| Sets the active area Length. More...
k64f | GoSetup_SetActiveAreaWidth (GoSetup setup, GoRole role, k64f width)
| Sets the active area width. More...
k64f | GoSetup_SetActiveAreaX (GoSetup setup, GoRole role, k64f x)
| Sets the active area x origin. More...
k64f | GoSetup_SetActiveAreaY (GoSetup setup, GoRole role, k64f Y)
| Sets the active area Y. More...
k64f | GoSetup_SetActiveAreaZ (GoSetup setup, GoRole role, k64f z)
| Sets the active area z origin. More...
kStatus | GoSetup_SetAlignmentMovingTarget (GoSetup setup, GoAlignmentTarget target)
| Sets the target type used for moving alignment calibration. More...
kStatus | GoSetup_SetAlignmentStationaryTarget (GoSetup setup, GoAlignmentTarget target)
| Sets the target type used for stationary alignment calibration. More...
kStatus | GoSetup_SetAlignmentType (GoSetup setup, GoAlignmentType type)
| Sets the type used for alignment. More...
kStatus | GoSetup_SetBarHeight (GoSetup setup, k64f height)
| Sets the height of the bar used for travel calibration. More...
kStatus | GoSetup_SetBarHoleCount (GoSetup setup, kSize count)
| Sets the number of holes that are defined on the calibration bar. More...
kStatus | GoSetup_SetBarHoleDiameter (GoSetup setup, k64f diameter)
| Sets the diameter of holes that are defined on the calibration bar. More...
kStatus | GoSetup_SetBarHoleDistance (GoSetup setup, k64f distance)
| Sets the distance between holes that are defined on the calibration bar. More...
kStatus | GoSetup_SetBarWidth (GoSetup setup, k64f width)
| Sets the width of the bar used for travel calibration. More...
kStatus | GoSetup_SetDefaultState (GoSetup setup, GoState state)
| Sets the default state of the sensor system upon boot. More...
kStatus | GoSetup_SetDiskDiameter (GoSetup setup, k64f diameter)
| Sets the diameter of the disk used for travel calibration. More...
kStatus | GoSetup_SetDiskHeight (GoSetup setup, k64f height)
| Sets the height of the disk used for travel calibration. More...
kStatus | GoSetup_SetDynamicExposureMax (GoSetup setup, GoRole role, k64f exposure)
| Sets the maximum value for the Dynamic Exposure setting. More...
kStatus | GoSetup_SetDynamicExposureMin (GoSetup setup, GoRole role, k64f exposure)
| Sets the minimum value for the Dynamic Exposure setting. More...
kStatus | GoSetup_SetEncoderSpacing (GoSetup setup, k64f period)
| Sets the current encoder period for encoder-based triggering. More...
kStatus | GoSetup_SetEncoderTriggerMode (GoSetup setup, GoEncoderTriggerMode mode)
| Sets the encoder trigger mode. More...
kStatus | GoSetup_SetExposure (GoSetup setup, GoRole role, k64f exposure)
| Sets the exposure value. More...
kStatus | GoSetup_SetExposureMode (GoSetup setup, GoRole role, GoExposureMode mode)
| Sets the exposure mode. More...
kStatus | GoSetup_SetFrameRate (GoSetup setup, k64f frameRate)
| Sets the current frame rate for time-based triggering. More...
kStatus | GoSetup_SetIntensityStepIndex (GoSetup setup, GoRole role, kSize index)
| Sets the intensity step index. More...
kStatus | GoSetup_SetPlateHeight (GoSetup setup, k64f height)
| Sets the height of the plate used for travel calibration. More...
kStatus | GoSetup_SetPlateHoleCount (GoSetup setup, kSize count)
| Sets the number of holes that are defined on the calibration plate. More...
kStatus | GoSetup_SetPlateRefHoleDiameter (GoSetup setup, k64f diameter)
| Sets the diameter of the reference hole defined on the calibration plate. More...
kStatus | GoSetup_SetPlateSecHoleDiameter (GoSetup setup, k64f diameter)
| Sets the diameter of the secondary hole defined on the calibration plate. More...
kStatus | GoSetup_SetScanMode (GoSetup setup, GoMode mode)
| Sets the default operation mode of the sensor system. More...
kStatus | GoSetup_SetSpacingIntervalType (GoSetup setup, GoRole role, GoSpacingIntervalType type)
| Sets the spacing interval type. More...
kStatus | GoSetup_SetTrackingAreaHeight (GoSetup setup, GoRole role, k64f height)
| Sets the tracking window height. More...
kStatus | GoSetup_SetTrackingSearchThreshold (GoSetup setup, GoRole role, k64f threshold)
| Sets the tracking window search threshold. More...
kStatus | GoSetup_SetTriggerDelay (GoSetup setup, k64f delay)
| Sets the trigger delay. More...
kStatus | GoSetup_SetTriggerSource (GoSetup setup, GoTrigger source)
| Sets the trigger source for profile triggering. More...
kStatus | GoSetup_SetTriggerUnit (GoSetup setup, GoTriggerUnits unit)
| Sets the system trigger units. More...
kStatus | GoSetup_SetXGapFillingWindow (GoSetup setup, k64f window)
| Sets the status of x-direction gap-filling. More...
kStatus | GoSetup_SetXSmoothingWindow (GoSetup setup, k64f window)
| Sets the x-direction smoothing window. More...
kStatus | GoSetup_SetXSubsampling (GoSetup setup, GoRole role, k32u xSubsampling)
| Sets the current x-resolution divider. More...
kStatus | GoSetup_SetYGapFillingWindow (GoSetup setup, k64f window)
| Sets the y-direction gap-filling window. More...
kStatus | GoSetup_SetYSmoothingWindow (GoSetup setup, k64f window)
| Sets the y-direction smoothing window. More...
kStatus | GoSetup_SetZSubsampling (GoSetup setup, GoRole role, k32u zSubsampling)
| Sets the current z-resolution divider. More...
k64f | GoSetup_SpacingInterval (GoSetup setup, GoRole role)
| Gets the spacing interval. More...
k64f | GoSetup_SpacingIntervalLimitMax (GoSetup setup, GoRole role)
| Gets the spacing interval value limit maximum. More...
k64f | GoSetup_SpacingIntervalLimitMin (GoSetup setup, GoRole role)
| Gets the spacing interval value limit minimum. More...
k64f | GoSetup_SpacingIntervalSystemValue (GoSetup setup, GoRole role)
| Gets the spacing interval system value. More...
GoSpacingIntervalType | GoSetup_SpacingIntervalType (GoSetup setup, GoRole role)
| Gets the spacing interval type. More...
GoSpacingIntervalType | GoSetup_SpacingIntervalTypeSytemValue (GoSetup setup, GoRole role)
| Gets the current spacing interval type system valule. More...
kBool | GoSetup_SpacingIntervalTypeUsed (GoSetup setup, GoRole role)
| Gets the system value representing whether or not the user specified spacing interval type setting is being used at the moment. More...
kBool | GoSetup_SpacingIntervalUsed (GoSetup setup, GoRole role)
| Returns the state of whether the user specified spacing interval is used. More...
GoSurfaceGeneration | GoSetup_SurfaceGeneration (GoSetup setup)
| Gets the surface generation module, used for surface generation configuration. More...
k64f | GoSetup_TrackingAreaHeight (GoSetup setup, GoRole role)
| Gets the tracking window height. More...
k64f | GoSetup_TrackingAreaHeightLimitMax (GoSetup setup, GoRole role)
| Gets the tracking window height maximum limit. More...
k64f | GoSetup_TrackingAreaHeightLimitMin (GoSetup setup, GoRole role)
| Gets the tracking window height minimum limit. More...
kBool | GoSetup_TrackingEnabled (GoSetup setup, GoRole role)
| Determines if tracking is enabled. More...
k64f | GoSetup_TrackingSearchThreshold (GoSetup setup, GoRole role)
| Gets the tracking window search threshold. More...
k64f | GoSetup_TransformedDataRegionHeight (GoSetup setup, GoRole role)
| Gets the transformed data region height value. More...
k64f | GoSetup_TransformedDataRegionLength (GoSetup setup, GoRole role)
| Gets the transformed data region length value. More...
k64f | GoSetup_TransformedDataRegionWidth (GoSetup setup, GoRole role)
| Gets the transformed data region width value. More...
k64f | GoSetup_TransformedDataRegionX (GoSetup setup, GoRole role)
| Gets the transformed data region X value. More...
k64f | GoSetup_TransformedDataRegionY (GoSetup setup, GoRole role)
| Gets the transformed data region Y value. More...
k64f | GoSetup_TransformedDataRegionZ (GoSetup setup, GoRole role)
| Gets the transformed data region Z value. More...
k64f | GoSetup_TriggerDelay (GoSetup setup)
| Gets the trigger delay. More...
k64f | GoSetup_TriggerDelayLimitMax (GoSetup setup)
| Reports the maximum trigger delay, based on current settings. More...
k64f | GoSetup_TriggerDelayLimitMin (GoSetup setup)
| Reports the minimum trigger delay, based on current settings. More...
kBool | GoSetup_TriggerGateEnabled (GoSetup setup)
| Reports whether the trigger gate feature is currently enabled. More...
kBool | GoSetup_TriggerGateEnabledSystemValue (GoSetup setup)
| Reports the trigger gate enabled system value. More...
kBool | GoSetup_TriggerGateEnabledUsed (GoSetup setup)
| Gets the system value representing whether or not the user specified trigger gate enabled setting is being used at the moment. More...
GoTrigger | GoSetup_TriggerSource (GoSetup setup)
| Gets the trigger source for profile triggering. More...
GoTriggerUnits | GoSetup_TriggerUnit (GoSetup setup)
| Gets the system trigger units. More...
kBool | GoSetup_XGapFillingEnabled (GoSetup setup)
| Gets the status of x-direction gap-filling. More...
k64f | GoSetup_XGapFillingWindow (GoSetup setup)
| Gets the x-direction gap-filling window. More...
k64f | GoSetup_XGapFillingWindowLimitMax (GoSetup setup)
| Gets the x-direction gap-filling window maximum. More...
k64f | GoSetup_XGapFillingWindowLimitMin (GoSetup setup)
| Gets the x-direction gap-filling window minimum. More...
kBool | GoSetup_XSmoothingEnabled (GoSetup setup)
| Gets the status of x-direction smoothing. More...
k64f | GoSetup_XSmoothingWindow (GoSetup setup)
| Gets the x-direction smoothing window. More...
k64f | GoSetup_XSmoothingWindowLimitMax (GoSetup setup)
| Gets the x-direction smoothing window maximum. More...
k64f | GoSetup_XSmoothingWindowLimitMin (GoSetup setup)
| Gets the x-direction smoothing window minimum. More...
k32u | GoSetup_XSpacingCount (GoSetup setup, GoRole role)
| Gets the X spacing count. More...
k32u | GoSetup_XSubsampling (GoSetup setup, GoRole role)
| Gets the current x-resolution divider. More...
k32u | GoSetup_XSubsamplingOptionAt (GoSetup setup, GoRole role, kSize index)
| Gets the x-resolution option at the specified index. More...
kSize | GoSetup_XSubsamplingOptionCount (GoSetup setup, GoRole role)
| Gets the count of valid x-resolution options. More...
kBool | GoSetup_YGapFillingEnabled (GoSetup setup)
| Gets the status of y-direction gap-filling. More...
k64f | GoSetup_YGapFillingWindow (GoSetup setup)
| Gets the y-direction gap-filling window. More...
k64f | GoSetup_YGapFillingWindowLimitMax (GoSetup setup)
| Gets the y-direction gap-filling window maximum. More...
k64f | GoSetup_YGapFillingWindowLimitMin (GoSetup setup)
| Gets the y-direction gap-filling window minimum. More...
kBool | GoSetup_YSmoothingEnabled (GoSetup setup)
| Gets the status of y-direction smoothing. More...
k64f | GoSetup_YSmoothingWindow (GoSetup setup)
| Gets the y-direction smoothing window. More...
k64f | GoSetup_YSmoothingWindowLimitMax (GoSetup setup)
| Gets the y-direction smoothing window maximum. More...
k64f | GoSetup_YSmoothingWindowLimitMin (GoSetup setup)
| Gets the y-direction smoothing window minimum. More...
k32u | GoSetup_YSpacingCount (GoSetup setup, GoRole role)
| Gets the Y spacing count. More...
k32u | GoSetup_ZSubsampling (GoSetup setup, GoRole role)
| Gets the current z-resolution divider. More...
k32u | GoSetup_ZSubsamplingOptionAt (GoSetup setup, GoRole role, kSize index)
| Gets the z-resolution option at the specified index. More...
kSize | GoSetup_ZSubsamplingOptionCount (GoSetup setup, GoRole role)
| Gets the count of valid z-resolution options. More...

## Member Function Documentation

k64f GoSetup_ActiveAreaHeight | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the active area height.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Active area height (mm).

k64f GoSetup_ActiveAreaHeightLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the maximum valid value for the ActiveAreaHeight setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum valid active area height value (mm).

k64f GoSetup_ActiveAreaHeightLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the minimum valid value for the ActiveAreaHeight setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Minimum valid ActiveAreaHeight value (mm).

k64f GoSetup_ActiveAreaLength | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the active area Length.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Active area Length (mm).

k64f GoSetup_ActiveAreaLengthLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the maximum valid value for the ActiveAreaLength setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum valid ActiveAreaLength value (mm).

k64f GoSetup_ActiveAreaLengthLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the minimum valid value for the ActiveAreaLength setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Minimum valid ActiveAreaLength value (mm).

k64f GoSetup_ActiveAreaWidth | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the active area width.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Active area width (mm).

k64f GoSetup_ActiveAreaWidthLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the maximum valid value for the ActiveAreaWidth setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum valid ActiveAreaWidth value (mm).

k64f GoSetup_ActiveAreaWidthLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the minimum valid value for the ActiveAreaWidth setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Minimum valid ActiveAreaWidth value (mm).

k64f GoSetup_ActiveAreaX | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the active area x origin.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Active area x origin (mm).

k64f GoSetup_ActiveAreaXLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the maximum valid value for the ActiveAreaX setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum valid ActiveAreaX value (mm).

k64f GoSetup_ActiveAreaXLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the minimum valid value for the ActiveAreaX setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Minimum valid ActiveAreaX value (mm).

k64f GoSetup_ActiveAreaY | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the active area Y.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Active area Y (mm).

k64f GoSetup_ActiveAreaYLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the maximum valid value for the ActiveAreaY setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum valid ActiveAreaY value (mm).

k64f GoSetup_ActiveAreaYLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the minimum valid value for the ActiveAreaY setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Minimum valid ActiveAreaY value (mm).

k64f GoSetup_ActiveAreaZ | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the active area z origin.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Active area z origin (mm).

k64f GoSetup_ActiveAreaZLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the maximum valid value for the ActiveAreaZ setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum valid ActiveAreaZ value (mm).

k64f GoSetup_ActiveAreaZLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the minimum valid value for the ActiveAreaZ setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Minimum valid ActiveAreaZ value (mm).

kStatus GoSetup_AddExposureStep | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | exposure
| ) |  |

Adds an exposure step.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  exposure | Expsosure value (microseconds).

Returns
  Operation status.

kBool GoSetup_AlignmentEncoderCalibrateEnabled | ( | GoSetup | setup | ) |

Gets the value of the post alignment encoder calibration setting.

Parameters

  setup | GoSetup object.

Returns
  kTRUE if post alignment encoder calibration is enabled. kFALSE otherwise.

GoAlignmentTarget GoSetup_AlignmentMovingTarget | ( | GoSetup | setup | ) |

Gets the target type used for moving alignment calibration.

Parameters

  setup | GoSetup object.

Returns
  Alignment target type.

GoAlignmentTarget GoSetup_AlignmentMovingTargetOptionAt | ( | GoSetup | setup,
|  | kSize | index
| ) |  |

Gets the moving alignment target option at the given index.

Parameters

  setup | GoSetup object.
  index | The index with which to retrieve an alignment target.

Returns
  The alignment target option.

See also
  GoSetup_AlignmentMovingTargetOptionCount

kSize GoSetup_AlignmentMovingTargetOptionCount | ( | GoSetup | setup | ) |

Gets the moving alignment target option count.

Parameters

  setup | GoSetup object.

Returns
  The alignment target count.

GoAlignmentTarget GoSetup_AlignmentStationaryTarget | ( | GoSetup | setup | ) |

Gets the target type used for stationary alignment calibration.

Parameters

  setup | GoSetup object.

Returns
  Alignment target type.

GoAlignmentTarget GoSetup_AlignmentStationaryTargetOptionAt | ( | GoSetup | setup,
|  | kSize | index
| ) |  |

Gets the stationary alignment target option at the given index.

Parameters

  setup | GoSetup object.
  index | The index with which to retrieve an alignment target.

Returns
  The alignment target option.

See also
  GoSetup_AlignmentStationaryTargetOptionCount

kSize GoSetup_AlignmentStationaryTargetOptionCount | ( | GoSetup | setup | ) |

Gets the stationary alignment target option count.

Parameters

  setup | GoSetup object.

Returns
  The alignment target count.

GoAlignmentType GoSetup_AlignmentType | ( | GoSetup | setup | ) |

Gets the type used for alignment calibration.

Parameters

  setup | GoSetup object.

Returns
  Alignment type (stationary or moving).

GoAlignmentType GoSetup_AlignmentTypeOptionAt | ( | GoSetup | setup,
|  | kSize | index
| ) |  |

Gets the alignment type option at the given index.

Parameters

  setup | GoSetup object.
  index | The index with which to retrieve an alignment type option.

Returns
  Alignment type option.

See also
  GoSetup_AlignmentTypeOptionCount

kSize GoSetup_AlignmentTypeOptionCount | ( | GoSetup | setup | ) |

Gets the alignment type option count.

Parameters

  setup | GoSetup object.

Returns
  Alignment type option count.

k64f GoSetup_BarHeight | ( | GoSetup | setup | ) |

Gets the height of the bar used for travel calibration.

Parameters

  setup | GoSetup object.

Returns
  Bar height (mm).

kSize GoSetup_BarHoleCount | ( | GoSetup | setup | ) |

Gets the number of holes that are defined on the calibration bar.

Parameters

  setup | GoSetup object.

Returns
  Hole count.

k64f GoSetup_BarHoleDiameter | ( | GoSetup | setup | ) |

Gets the diameter of holes that are defined on the calibration bar.

Parameters

  setup | GoSetup object.

Returns
  Hole diameter (mm).

k64f GoSetup_BarHoleDistance | ( | GoSetup | setup | ) |

Gets the distance between holes that are defined on the calibration bar.

Parameters

  setup | GoSetup object.

Returns
  Hole distance (mm).

k64f GoSetup_BarWidth | ( | GoSetup | setup | ) |

Gets the width of the bar used for travel calibration.

Parameters

  setup | GoSetup object.

Returns
  Bar width (mm).

kStatus GoSetup_ClearExposureSteps | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Removes all exposure steps.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.

Returns
  Operation status.

GoState GoSetup_DefaultState | ( | GoSetup | setup | ) |

Gets the default state of the sensor system upon boot.

Parameters

  setup | GoSetup object

Returns
  Default state.

k64f GoSetup_DiskDiameter | ( | GoSetup | setup | ) |

Gets the diameter of the disk used for travel calibration.

Parameters

  setup | GoSetup object.

Returns
  Disk diameter (mm).

k64f GoSetup_DiskHeight | ( | GoSetup | setup | ) |

Gets the height of the disk used for travel calibration.

Parameters

  setup | GoSetup object.

Returns
  Disk height (mm).

k64f GoSetup_DynamicExposureMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the maximum value for the Dynamic Exposure setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum Dynamic Exposure value (microseconds).

k64f GoSetup_DynamicExposureMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the minimum value for the Dynamic Exposure setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Minimum Dynamic Exposure value (microseconds).

kStatus GoSetup_EnableAlignmentEncoderCalibrate | ( | GoSetup | setup,
|  | kBool | enabled
| ) |  |

Enables encoder calibration after alignment.

Parameters

  setup | GoSetup object.
  enabled | kTRUE to enable encoder calibration after alignment, kFALSE to disable it.

Returns
  Operation status.

kStatus GoSetup_EnableInputTrigger | ( | GoSetup | setup,
|  | kBool | enable
| ) |  |

Sets the input trigger enabled state.

Parameters

  setup | GoSetup object.
  enable | kTRUE to enable it and kFALSE to disable it.

kStatus GoSetup_EnableIntensity | ( | GoSetup | setup,
|  | kBool | enable
| ) |  |

Enables profile intensity collection.

Parameters

  setup | GoSetup object.
  enable | kTRUE to enable, or kFALSE to disable.

Returns
  Operation status.

kStatus GoSetup_EnableMaxFrameRate | ( | GoSetup | setup,
|  | kBool | enable
| ) |  |

Enables or disables operation at full frame rate (ignoring frame rate setting).

Parameters

  setup | GoSetup object.
  enable | Enables full frame rate operation.

Returns
  Operation status.

kStatus GoSetup_EnableOcclusionReduction | ( | GoSetup | setup,
|  | kBool | enable
| ) |  |

Sets the occlusion reduction enabled state.

Parameters

  setup | GoSetup object.
  enable | kTRUE to enable it and kFALSE to disable it.

Returns
  Operation status.

kStatus GoSetup_EnableTracking | ( | GoSetup | setup,
|  | GoRole | role,
|  | kBool | enable
| ) |  |

Enables tracking.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  enable | kTRUE to enable, or kFALSE to disable.

Returns
  Operation status.

kStatus GoSetup_EnableTriggerGate | ( | GoSetup | setup,
|  | kBool | enable
| ) |  |

Sets the trigger gate feature.

Parameters

  setup | GoSetup object.
  enable | Enables trigger gate operation.

Returns
  Operation status.

kStatus GoSetup_EnableXGapFilling | ( | GoSetup | setup,
|  | kBool | enable
| ) |  |

Sets the status of x-direction gap-filling.

Parameters

  setup | GoSetup object.
  enable | Enable or disable x-gap-filling

Returns
  Operation status.

kStatus GoSetup_EnableXSmoothing | ( | GoSetup | setup,
|  | kBool | enabled
| ) |  |

Sets the status of x-direction smoothing.

Parameters

  setup | GoSetup object.
  enabled | Enable or disable x-smoothing

Returns
  Operation status.

kStatus GoSetup_EnableYGapFilling | ( | GoSetup | setup,
|  | kBool | enable
| ) |  |

Sets the status of y-direction gap-filling.

Parameters

  setup | GoSetup object.
  enable | Enable or disable y-gap-filling

Returns
  Operation status.

kStatus GoSetup_EnableYSmoothing | ( | GoSetup | setup,
|  | kBool | enable
| ) |  |

Sets the status of y-direction smoothing.

Parameters

  setup | GoSetup object.
  enable | Enable or disable y-smoothing

Returns
  Operation status.

k64f GoSetup_EncoderSpacing | ( | GoSetup | setup | ) |

Gets the current encoder period for encoder-based triggering.

Parameters

  setup | GoSetup object.

Returns
  Encoder period (mm).

k64f GoSetup_EncoderSpacingLimitMax | ( | GoSetup | setup | ) |

Constraint for the maximum valid value of the Encoder Period setting.

Parameters

  setup | GoSetup object.

Returns
  Maximum valid Encoder Period setting (mm).

k64f GoSetup_EncoderSpacingLimitMin | ( | GoSetup | setup | ) |

Constraint for the minimum valid value of the Encoder Period setting.

Parameters

  setup | GoSetup object.

Returns
  Minimum valid Encoder Period setting (mm).

GoEncoderTriggerMode GoSetup_EncoderTriggerMode | ( | GoSetup | setup | ) |

Gets the encoder trigger mode.

Parameters

  setup | GoSetup object.

Returns
  Encoder trigger mode.

k64f GoSetup_Exposure | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the exposure value.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Exposure value (microseconds).

k64f GoSetup_ExposureLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the maximum valid value for the Exposure setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum valid Exposure value (microseconds).

k64f GoSetup_ExposureLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the minimum valid value for the Exposure setting.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Maximum valid Exposure value (microseconds).

GoExposureMode GoSetup_ExposureMode | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the exposure mode.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Exposure mode.

GoExposureMode GoSetup_ExposureModeOptionAt | ( | GoSetup | setup,
|  | GoRole | role,
|  | kSize | index
| ) |  |

Gets the exposure mode option at the given index.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.
  index | The index with which to retrieve an exposure mode option.

Returns
  Exposure mode option.

See also
  GoSetup_ExposureModeOptionCount

kSize GoSetup_ExposureModeOptionCount | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the exposure mode option count.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Exposure mode option count.

k64f GoSetup_ExposureStepAt | ( | GoSetup | setup,
|  | GoRole | role,
|  | kSize | index
| ) |  |

Get the exposure step value specified by index.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.
  index | The index of the exposure step to get.

Returns
  The exposure step value (microseconds).

See also
  GoSetup_ExposureStepCount

kSize GoSetup_ExposureStepCount | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Get the number of exposure steps defined.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  The count of exposure steps.

k64f GoSetup_FrameRate | ( | GoSetup | setup | ) |

Reports the currently configured frame rate.

Parameters

  setup | GoSetup object.

Returns
  Maximum frame rate (Hz).

k64f GoSetup_FrameRateLimitMax | ( | GoSetup | setup | ) |

Constraint for the maximum valid value of the Frame Rate setting.

Parameters

  setup | GoSetup object.

Returns
  Maximum valid Frame Rate setting (Hz).

k64f GoSetup_FrameRateLimitMin | ( | GoSetup | setup | ) |

Constraint for the minimum valid value of the Frame Rate setting.

Parameters

  setup | GoSetup object.

Returns
  Minimum valid Frame Rate setting (Hz).

k32u GoSetup_FrontCameraHeight | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the camera region-of-interest height.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Region of interest height (pixels).

k32u GoSetup_FrontCameraWidth | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the camera region-of-interest width.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Region of interest width (pixels).

k32u GoSetup_FrontCameraX | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the camera region-of-interest x origin.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Region of interest x origin (pixels).

k32u GoSetup_FrontCameraY | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the camera region-of-interest y origin.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Region of interest y origin (pixels).

kBool GoSetup_InputTriggerEnabled | ( | GoSetup | setup | ) |

Gets the input trigger enabled state.

Parameters

  setup | GoSetup object.

Returns
  kTRUE if enabled and kFALSE otherwise.

kBool GoSetup_IntensityEnabled | ( | GoSetup | setup | ) |

Reports whether the profile intensity collection is enabled.

Parameters

  setup | GoSetup object.

Returns
  kTRUE if enabled, or kFALSE if disabled.

kSize GoSetup_IntensityStepIndex | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the intensity step index.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  The intensity step index.

GoLayout GoSetup_Layout | ( | GoSetup | setup | ) |

Gets the layout configuration module.

Parameters

  setup | GoSetup object.

Returns
  Layout configuration module.

kBool GoSetup_MaxFrameRateEnabled | ( | GoSetup | setup | ) |

Reports whether or not system is configured to operate at full frame rate.

Parameters

  setup | GoSetup object.

Returns
  True if system operates at full frame rate; false otherwise.

kBool GoSetup_OcclusionReductionEnabled | ( | GoSetup | setup | ) |

Gets the occlusion reduction enabled state.

Parameters

  setup | GoSetup object.

Returns
  kTRUE if enabled and kFALSE otherwise.

GoPartDetection GoSetup_PartDetection | ( | GoSetup | setup | ) |

Gets the part detection module, used for part detection configuration.

Parameters

  setup | GoSetup object.

Returns
  Part detection configuration module.

k64f GoSetup_PlateHeight | ( | GoSetup | setup | ) |

Gets the height of the plate used for travel calibration.

Parameters

  setup | GoSetup object.

Returns
  Plate height (mm).

kSize GoSetup_PlateHoleCount | ( | GoSetup | setup | ) |

Gets the number of holes that are defined on the calibration plate.

Parameters

  setup | GoSetup object.

Returns
  Hole count.

k64f GoSetup_PlateRefHoleDiameter | ( | GoSetup | setup | ) |

Gets the diameter of the reference hole defined on the calibration plate.

Parameters

  setup | GoSetup object.

Returns
  Hole diameter (mm).

k64f GoSetup_PlateSecHoleDiameter | ( | GoSetup | setup | ) |

Gets the diameter of the secondary hole defined on the calibration plate.

Parameters

  setup | GoSetup object.

Returns
  Hole diameter (mm).

GoMode GoSetup_ScanMode | ( | GoSetup | setup | ) |

Gets the default operation mode of the sensor system.

Parameters

  setup | GoSetup object.

Returns
  Operation mode.

GoMode GoSetup_ScanModeOptionAt | ( | GoSetup | setup,
|  | kSize | index
| ) |  |

Gets the scan mode option at the specified index.

Parameters

  setup | GoSetup object.
  index | The index with which to retrieve a mode option.

Returns
  Operation mode.

See also
  GoSetup_ScanModeOptionCount

kSize GoSetup_ScanModeOptionCount | ( | GoSetup | setup | ) |

Gets the scan mode option count.

Parameters

  setup | GoSetup object.

Returns
  Scan mode option count.

kStatus GoSetup_SetActiveAreaHeight | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | height
| ) |  |

Sets the active area height.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  height | Active area height (mm).

Returns
  Operation status.

k64f GoSetup_SetActiveAreaLength | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | Length
| ) |  |

Sets the active area Length.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  Length | Active area Length (mm).

Returns
  Operation status.

k64f GoSetup_SetActiveAreaWidth | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | width
| ) |  |

Sets the active area width.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  width | Active area width (mm).

Returns
  Operation status.

k64f GoSetup_SetActiveAreaX | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | x
| ) |  |

Sets the active area x origin.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  x | Active area x origin (mm).

Returns
  Operation status.

k64f GoSetup_SetActiveAreaY | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | Y
| ) |  |

Sets the active area Y.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  Y | Active area Y (mm).

Returns
  Operation status.

k64f GoSetup_SetActiveAreaZ | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | z
| ) |  |

Sets the active area z origin.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  z | Active area z origin (mm).

Returns
  Operation status.

kStatus GoSetup_SetAlignmentMovingTarget | ( | GoSetup | setup,
|  | GoAlignmentTarget | target
| ) |  |

Sets the target type used for moving alignment calibration.

Parameters

  setup | GoSetup object.
  target | Alignment target type.

Returns
  Operation status.

kStatus GoSetup_SetAlignmentStationaryTarget | ( | GoSetup | setup,
|  | GoAlignmentTarget | target
| ) |  |

Sets the target type used for stationary alignment calibration.

Parameters

  setup | GoSetup object.
  target | Alignment target type.

Returns
  Operation status.

kStatus GoSetup_SetAlignmentType | ( | GoSetup | setup,
|  | GoAlignmentType | type
| ) |  |

Sets the type used for alignment.

Parameters

  setup | GoSetup object.
  type | Alignment type (stationary or moving).

Returns
  Operation status.

kStatus GoSetup_SetBarHeight | ( | GoSetup | setup,
|  | k64f | height
| ) |  |

Sets the height of the bar used for travel calibration.

Parameters

  setup | GoSetup object.
  height | Bar height (mm).

Returns
  Operation status.

kStatus GoSetup_SetBarHoleCount | ( | GoSetup | setup,
|  | kSize | count
| ) |  |

Sets the number of holes that are defined on the calibration bar.

Parameters

  setup | GoSetup object.
  count | Hole count.

Returns
  Operation status.

kStatus GoSetup_SetBarHoleDiameter | ( | GoSetup | setup,
|  | k64f | diameter
| ) |  |

Sets the diameter of holes that are defined on the calibration bar.

Parameters

  setup | GoSetup object.
  diameter | Hole diameter (mm).

Returns
  Operation status.

kStatus GoSetup_SetBarHoleDistance | ( | GoSetup | setup,
|  | k64f | distance
| ) |  |

Sets the distance between holes that are defined on the calibration bar.

Parameters

  setup | GoSetup object.
  distance | Hole distance (mm).

Returns
  Operation status.

kStatus GoSetup_SetBarWidth | ( | GoSetup | setup,
|  | k64f | width
| ) |  |

Sets the width of the bar used for travel calibration.

Parameters

  setup | GoSetup object.
  width | Bar width (mm).

Returns
  Operation status.

kStatus GoSetup_SetDefaultState | ( | GoSetup | setup,
|  | GoState | state
| ) |  |

Sets the default state of the sensor system upon boot.

Parameters

  setup | GoSetup object.
  state | Default state.

Returns
  Operation status.

kStatus GoSetup_SetDiskDiameter | ( | GoSetup | setup,
|  | k64f | diameter
| ) |  |

Sets the diameter of the disk used for travel calibration.

Parameters

  setup | GoSetup object.
  diameter | Disk diameter (mm).

Returns
  Operation status.

kStatus GoSetup_SetDiskHeight | ( | GoSetup | setup,
|  | k64f | height
| ) |  |

Sets the height of the disk used for travel calibration.

Parameters

  setup | GoSetup object.
  height | Disk height (mm).

Returns
  Operation status.

kStatus GoSetup_SetDynamicExposureMax | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | exposure
| ) |  |

Sets the maximum value for the Dynamic Exposure setting.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  exposure | Maximum Dynamic Exposure value (microseconds).

Returns
  Operation status.

kStatus GoSetup_SetDynamicExposureMin | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | exposure
| ) |  |

Sets the minimum value for the Dynamic Exposure setting.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  exposure | Minumum Dynamic Exposure value (microseconds).

Returns
  Operation status.

kStatus GoSetup_SetEncoderSpacing | ( | GoSetup | setup,
|  | k64f | period
| ) |  |

Sets the current encoder period for encoder-based triggering.

Parameters

  setup | GoSetup object.
  period | Encoder period (mm).

Returns
  Operation status.

kStatus GoSetup_SetEncoderTriggerMode | ( | GoSetup | setup,
|  | GoEncoderTriggerMode | mode
| ) |  |

Sets the encoder trigger mode.

Parameters

  setup | GoSetup object.
  mode | Encoder trigger mode.

Returns
  Profile trigger source.

kStatus GoSetup_SetExposure | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | exposure
| ) |  |

Sets the exposure value.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  exposure | Intended exposure value.

Returns
  Operation status.

kStatus GoSetup_SetExposureMode | ( | GoSetup | setup,
|  | GoRole | role,
|  | GoExposureMode | mode
| ) |  |

Sets the exposure mode.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  mode | The exposure mode to use.

Returns
  Operation status.

kStatus GoSetup_SetFrameRate | ( | GoSetup | setup,
|  | k64f | frameRate
| ) |  |

Sets the current frame rate for time-based triggering.

The maximum frame rate option must be disabled to use the value set in this function.

Parameters

  setup | GoSetup object.
  frameRate | Frame Rate value (Hz).

Returns
  Operation status.

See also
  GoSetup_EnableMaxFrameRate, GoSetup_MaxFrameRateEnabled

kStatus GoSetup_SetIntensityStepIndex | ( | GoSetup | setup,
|  | GoRole | role,
|  | kSize | index
| ) |  |

Sets the intensity step index.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  index | The exposure step index to use for intensity acquisition.

Returns
  Operation status.

See also
  GoSetup_SetExposureMode, GoSetup_ExposureStepCount

kStatus GoSetup_SetPlateHeight | ( | GoSetup | setup,
|  | k64f | height
| ) |  |

Sets the height of the plate used for travel calibration.

Parameters

  setup | GoSetup object.
  height | Plate height (mm).

Returns
  Operation status.

kStatus GoSetup_SetPlateHoleCount | ( | GoSetup | setup,
|  | kSize | count
| ) |  |

Sets the number of holes that are defined on the calibration plate.

Parameters

  setup | GoSetup object.
  count | Hole count.

Returns
  Operation status.

kStatus GoSetup_SetPlateRefHoleDiameter | ( | GoSetup | setup,
|  | k64f | diameter
| ) |  |

Sets the diameter of the reference hole defined on the calibration plate.

Parameters

  setup | GoSetup object.
  diameter | Hole diameter (mm).

Returns
  Operation status.

kStatus GoSetup_SetPlateSecHoleDiameter | ( | GoSetup | setup,
|  | k64f | diameter
| ) |  |

Sets the diameter of the secondary hole defined on the calibration plate.

Parameters

  setup | GoSetup object.
  diameter | Hole diameter (mm).

Returns
  Operation status.

kStatus GoSetup_SetScanMode | ( | GoSetup | setup,
|  | GoMode | mode
| ) |  |

Sets the default operation mode of the sensor system.

Parameters

  setup | GoSetup object.
  mode | Operation mode.

Returns
  Operation status.

kStatus GoSetup_SetSpacingIntervalType | ( | GoSetup | setup,
|  | GoRole | role,
|  | GoSpacingIntervalType | type
| ) |  |

Sets the spacing interval type.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  type | The spacing interval type.

Returns
  Operation status.

kStatus GoSetup_SetTrackingAreaHeight | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | height
| ) |  |

Sets the tracking window height.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  height | Tracking window height (mm).

Returns
  Operation status.

kStatus GoSetup_SetTrackingSearchThreshold | ( | GoSetup | setup,
|  | GoRole | role,
|  | k64f | threshold
| ) |  |

Sets the tracking window search threshold.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  threshold | Tracking window search threshold (%)

Returns
  Operation status.

kStatus GoSetup_SetTriggerDelay | ( | GoSetup | setup,
|  | k64f | delay
| ) |  |

Sets the trigger delay.

Depending on GoDomain, units are uS or mm.

Parameters

  setup | GoSetup object.
  delay | Trigger delay (uS or mm).

Returns
  Operation status.

kStatus GoSetup_SetTriggerSource | ( | GoSetup | setup,
|  | GoTrigger | source
| ) |  |

Sets the trigger source for profile triggering.

Parameters

  setup | GoSetup object.
  source | Profile trigger source.

Returns
  Operation status.

kStatus GoSetup_SetTriggerUnit | ( | GoSetup | setup,
|  | GoTriggerUnits | unit
| ) |  |

Sets the system trigger units.

Ignored if GoSetup_TriggerSource is time or encoder

Parameters

  setup | GoSetup object.
  unit | The system trigger unit.

Returns
  Operation status.

kStatus GoSetup_SetXGapFillingWindow | ( | GoSetup | setup,
|  | k64f | window
| ) |  |

Sets the status of x-direction gap-filling.

Parameters

  setup | GoSetup object.
  window | Enable or disable x-gap-filling

Returns
  Operation status.

kStatus GoSetup_SetXSmoothingWindow | ( | GoSetup | setup,
|  | k64f | window
| ) |  |

Sets the x-direction smoothing window.

Parameters

  setup | GoSetup object.
  window | The x-smoothing window (mm).

Returns
  Operation status.

kStatus GoSetup_SetXSubsampling | ( | GoSetup | setup,
|  | GoRole | role,
|  | k32u | xSubsampling
| ) |  |

Sets the current x-resolution divider.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  xSubsampling | X subsampling divider (e.g. 1 - full res, 2 - half res).

Returns
  Operation status.

kStatus GoSetup_SetYGapFillingWindow | ( | GoSetup | setup,
|  | k64f | window
| ) |  |

Sets the y-direction gap-filling window.

Parameters

  setup | GoSetup object.
  window | The y-gap-filling window (mm).

Returns

kStatus GoSetup_SetYSmoothingWindow | ( | GoSetup | setup,
|  | k64f | window
| ) |  |

Sets the y-direction smoothing window.

Parameters

  setup | GoSetup object.
  window | The y-smoothing window (mm).

Returns
  Operation status.

kStatus GoSetup_SetZSubsampling | ( | GoSetup | setup,
|  | GoRole | role,
|  | k32u | zSubsampling
| ) |  |

Sets the current z-resolution divider.

Parameters

  setup | GoSetup object.
  role | Determines which sensor to apply changes to.
  zSubsampling | Z subsampling divider (e.g. 1 - full res, 2 - half res).

Returns
  Operation status.

k64f GoSetup_SpacingInterval | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the spacing interval.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Spacing interval.

k64f GoSetup_SpacingIntervalLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the spacing interval value limit maximum.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Spacing interval value limit maximum.

k64f GoSetup_SpacingIntervalLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the spacing interval value limit minimum.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Spacing interval value limit minimum.

k64f GoSetup_SpacingIntervalSystemValue | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the spacing interval system value.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Spacing interval.

GoSpacingIntervalType GoSetup_SpacingIntervalType | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the spacing interval type.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  The spacing interval type.

GoSpacingIntervalType GoSetup_SpacingIntervalTypeSytemValue | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the current spacing interval type system valule.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  The spacing interval type system value.

kBool GoSetup_SpacingIntervalTypeUsed | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the system value representing whether or not the user specified spacing interval type setting is being used at the moment.

Parameters

  setup | GoSetup object.

Returns
  kTRUE if the user specified spacing interval type setting is used and kFALSE otherwise.

kBool GoSetup_SpacingIntervalUsed | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Returns the state of whether the user specified spacing interval is used.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  kTRUE if the user value is used and kFALSE otherwise.

GoSurfaceGeneration GoSetup_SurfaceGeneration | ( | GoSetup | setup | ) |

Gets the surface generation module, used for surface generation configuration.

Parameters

  setup | GoSetup object.

Returns
  Surface generation configuration module.

k64f GoSetup_TrackingAreaHeight | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the tracking window height.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Tracking window height (mm).

k64f GoSetup_TrackingAreaHeightLimitMax | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the tracking window height maximum limit.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Tracking window height max(mm).

k64f GoSetup_TrackingAreaHeightLimitMin | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the tracking window height minimum limit.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Tracking window height min(mm).

kBool GoSetup_TrackingEnabled | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Determines if tracking is enabled.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  kTRUE if enabled, or kFALSE if disabled.

k64f GoSetup_TrackingSearchThreshold | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the tracking window search threshold.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Tracking window search threshold (%).

k64f GoSetup_TransformedDataRegionHeight | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the transformed data region height value.

Parameters

  setup | GoSetup object.
  role | The device whose value to retrieve.

Returns
  The transformed data region height value.

k64f GoSetup_TransformedDataRegionLength | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the transformed data region length value.

Parameters

  setup | GoSetup object.
  role | The device whose value to retrieve.

Returns
  The transformed data region length value.

k64f GoSetup_TransformedDataRegionWidth | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the transformed data region width value.

Parameters

  setup | GoSetup object.
  role | The device whose value to retrieve.

Returns
  The transformed data region width value.

k64f GoSetup_TransformedDataRegionX | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the transformed data region X value.

Parameters

  setup | GoSetup object.
  role | The device whose value to retrieve.

Returns
  The transformed data region X value.

k64f GoSetup_TransformedDataRegionY | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the transformed data region Y value.

Parameters

  setup | GoSetup object.
  role | The device whose value to retrieve.

Returns
  The transformed data region Y value.

k64f GoSetup_TransformedDataRegionZ | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the transformed data region Z value.

Parameters

  setup | GoSetup object.
  role | The device whose value to retrieve.

Returns
  The transformed data region Z value.

k64f GoSetup_TriggerDelay | ( | GoSetup | setup | ) |

Gets the trigger delay.

Depending on GoDomain, units are uS or mm.

Parameters

  setup | GoSetup object.

Returns
  Trigger delay (uS or mm).

k64f GoSetup_TriggerDelayLimitMax | ( | GoSetup | setup | ) |

Reports the maximum trigger delay, based on current settings.

Depending on GoDomain, units are uS or mm.

Parameters

  setup | GoSetup object.

Returns
  Maximum trigger delay (uS or mm).

k64f GoSetup_TriggerDelayLimitMin | ( | GoSetup | setup | ) |

Reports the minimum trigger delay, based on current settings.

Depending on GoDomain, units are uS or mm.

Parameters

  setup | GoSetup object.

Returns
  Minimum trigger delay (uS or mm).

kBool GoSetup_TriggerGateEnabled | ( | GoSetup | setup | ) |

Reports whether the trigger gate feature is currently enabled.

Parameters

  setup | GoSetup object.

Returns
  kTRUE if enabled, or kFALSE if disabled.

kBool GoSetup_TriggerGateEnabledSystemValue | ( | GoSetup | setup | ) |

Reports the trigger gate enabled system value.

Parameters

  setup | GoSetup object.

Returns
  kTRUE if enabled, or kFALSE if disabled.

kBool GoSetup_TriggerGateEnabledUsed | ( | GoSetup | setup | ) |

Gets the system value representing whether or not the user specified trigger gate enabled setting is being used at the moment.

Parameters

  setup | GoSetup object.

Returns
  kTRUE if the user specified setting is used and kFALSE otherwise.

GoTrigger GoSetup_TriggerSource | ( | GoSetup | setup | ) |

Gets the trigger source for profile triggering.

Parameters

  setup | GoSetup object.

Returns
  Profile trigger source.

GoTriggerUnits GoSetup_TriggerUnit | ( | GoSetup | setup | ) |

Gets the system trigger units.

Ignored if GoSetup_TriggerSource is time or encoder

Parameters

  setup | GoSetup object.

Returns
  The system domain.

kBool GoSetup_XGapFillingEnabled | ( | GoSetup | setup | ) |

Gets the status of x-direction gap-filling.

Parameters

  setup | GoSetup object.

Returns
  True if x-gap-filling is enabled.

k64f GoSetup_XGapFillingWindow | ( | GoSetup | setup | ) |

Gets the x-direction gap-filling window.

Parameters

  setup | GoSetup object.

Returns
  The x-gap-filling window (mm).

k64f GoSetup_XGapFillingWindowLimitMax | ( | GoSetup | setup | ) |

Gets the x-direction gap-filling window maximum.

Parameters

  setup | GoSetup object.

Returns
  The x-gap-filling window max (mm).

k64f GoSetup_XGapFillingWindowLimitMin | ( | GoSetup | setup | ) |

Gets the x-direction gap-filling window minimum.

Parameters

  setup | GoSetup object.

Returns
  The x-gap-filling window min (mm).

kBool GoSetup_XSmoothingEnabled | ( | GoSetup | setup | ) |

Gets the status of x-direction smoothing.

Parameters

  setup | GoSetup object.

Returns
  True if x-smoothing is enabled.

k64f GoSetup_XSmoothingWindow | ( | GoSetup | setup | ) |

Gets the x-direction smoothing window.

Parameters

  setup | GoSetup object.

Returns
  The x-smoothing window (mm).

k64f GoSetup_XSmoothingWindowLimitMax | ( | GoSetup | setup | ) |

Gets the x-direction smoothing window maximum.

Parameters

  setup | GoSetup object.

Returns
  The x-smoothing window max (mm).

k64f GoSetup_XSmoothingWindowLimitMin | ( | GoSetup | setup | ) |

Gets the x-direction smoothing window minimum.

Parameters

  setup | GoSetup object.

Returns
  The x-smoothing window min (mm).

k32u GoSetup_XSpacingCount | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the X spacing count.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  X spacing count.

k32u GoSetup_XSubsampling | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the current x-resolution divider.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  X resolution divider (e.g. 1 - full res, 2 - half res).

k32u GoSetup_XSubsamplingOptionAt | ( | GoSetup | setup,
|  | GoRole | role,
|  | kSize | index
| ) |  |

Gets the x-resolution option at the specified index.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.
  index | Index of the desired resolution option.

Returns
  X resolution option.

See also
  GoSetup_XSubsamplingOptionCount

kSize GoSetup_XSubsamplingOptionCount | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the count of valid x-resolution options.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Count of x-resolution options.

kBool GoSetup_YGapFillingEnabled | ( | GoSetup | setup | ) |

Gets the status of y-direction gap-filling.

Parameters

  setup | GoSetup object.

Returns
  True if y-gap-filling is enabled.

k64f GoSetup_YGapFillingWindow | ( | GoSetup | setup | ) |

Gets the y-direction gap-filling window.

Parameters

  setup | GoSetup object.

Returns
  The y-gap-filling window (mm).

k64f GoSetup_YGapFillingWindowLimitMax | ( | GoSetup | setup | ) |

Gets the y-direction gap-filling window maximum.

Parameters

  setup | GoSetup object.

Returns
  The y-gap-filling window max (mm).

k64f GoSetup_YGapFillingWindowLimitMin | ( | GoSetup | setup | ) |

Gets the y-direction gap-filling window minimum.

Parameters

  setup | GoSetup object.

Returns
  The y-gap-filling window min (mm).

kBool GoSetup_YSmoothingEnabled | ( | GoSetup | setup | ) |

Gets the status of y-direction smoothing.

Parameters

  setup | GoSetup object.

Returns
  True if y-smoothing is enabled.

k64f GoSetup_YSmoothingWindow | ( | GoSetup | setup | ) |

Gets the y-direction smoothing window.

Parameters

  setup | GoSetup object.

Returns
  The y-smoothing window (mm).

k64f GoSetup_YSmoothingWindowLimitMax | ( | GoSetup | setup | ) |

Gets the y-direction smoothing window maximum.

Parameters

  setup | GoSetup object.

Returns
  The y-smoothing window max (mm).

k64f GoSetup_YSmoothingWindowLimitMin | ( | GoSetup | setup | ) |

Gets the y-direction smoothing window minimum.

Parameters

  setup | GoSetup object.

Returns
  The y-smoothing window min (mm).

k32u GoSetup_YSpacingCount | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the Y spacing count.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Y spacing count.

k32u GoSetup_ZSubsampling | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the current z-resolution divider.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Z resolution divider (e.g. 1 - full res, 2 - half res).

k32u GoSetup_ZSubsamplingOptionAt | ( | GoSetup | setup,
|  | GoRole | role,
|  | kSize | index
| ) |  |

Gets the z-resolution option at the specified index.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.
  index | Index of the desired resolution option.

Returns
  Z resolution option. see GoSetup_ZSubsamplingOptionCount

kSize GoSetup_ZSubsamplingOptionCount | ( | GoSetup | setup,
|  | GoRole | role
| ) |  |

Gets the count of valid z-resolution options.

Parameters

  setup | GoSetup object.
  role | Determines which device to retrieve the value from.

Returns
  Count of z-resolution options.

The documentation for this class was generated from the following file:

- GoSetup.h